Description

ESP - Problema al afiadir un vértice

Pasos

1.- Abrir gvSIG

2.- Abrir VISTA NUEVA

3.- Abrir capa snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
4.- Seleccionar la capa en la ToC, luego menu Capa/Comenzar Edicion

5.- Pinchar/Seleccionar el pentdgono

6.- Menu Capa/Modificar/Editar Vértice

7.- Teclear [A] para afadir un vértice

8.- Pinchar en la linea del poligono entre los vértices 0 y 4

9.- Menu Seleccién/Seleccién Simple y pinchamos en el vértice creado
10.- Arrastramos para mover el vértice y vemos que no esta bien creado

Ver adjunto penta.png

ENG - Problem adding a vertex

Steps

1.- Open gvSIG

2.- Open NEW VIEW

3.- Open layer snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
4.- Select layer in Toc, then menu Layer/Start Edition

5.- Click/Select the pentagon

6.- Go to Menu Layer/Modify/Edit Vertex

7.- Type [A] to add a vertex

8.- Click on the line between vertices 0 and 4
9.- Go to Menu Selection/Simple selection and select the vertex created
10.- Drag the vertex and see that it isn't well created

See attached penta.png

History

#1 - 10/27/2012 03:42 PM - Juan Lucas Dominguez
- Status changed from New to Awaiting response

- Assignee set to Juan Lucas Dominguez
http://downloads.gvsig.org/download/geodata/vector/SHP2D/
http://downloads.gvsig.org/download/geodata/vector/SHP2D/

This bug cannot be reproduced. Perhaps the problem was that the snapping was active and the vertex was automatically sent to the closes node in the
snapping grid? Please test this again making sure the snapping is not active or changing the snapping distance.

#2 - 10/30/2012 12:31 PM - Juan Lucas Dominguez

- Status changed from Awaiting response to Fixed

Fixed issues when adding/removing vertex.

gvsig-desktop:r39119

Tests:

1) The steps described by Abenchara should now work.

2) If you start editing, add a new geometry and (without finishing editing) try the same steps, that should also work (this didn't work before)

3) If you start editing, add a new geometry and try to remove a vertex (with the same tool used before and the option "Remove vertex") it should also

work (it did not work before)

#3 - 11/09/2012 01:47 PM - Abenchara Socorro

- Status changed from Fixed to Closed
